> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Client Billing Details

> Updates the own organization's existing invoice address and billing contacts with a redacted audit.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /platform/update-client-billing-details
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/update-client-billing-details:
    post:
      operationId: updateClientBillingDetails
      summary: Update Client Billing Details
      description: >-
        Updates the own organization's existing invoice address and billing
        contacts with a redacted audit.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateClientBillingDetailsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateClientBillingDetailsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateClientBillingDetailsRequest:
      type: object
      properties:
        billingAddress:
          type: string
          minLength: 1
          maxLength: 1000
        billingEmails:
          type: array
          items:
            type: string
            format: email
          minItems: 1
          maxItems: 20
      required:
        - billingAddress
        - billingEmails
    UpdateClientBillingDetailsResponse:
      type: object
      properties:
        legalName:
          type:
            - string
            - 'null'
        billingAddress:
          type:
            - string
            - 'null'
        billingEmails:
          type: array
          items:
            type: string
        companyName:
          type: string
        editable:
          type: boolean
      required:
        - legalName
        - billingAddress
        - billingEmails
        - companyName
        - editable
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
